# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft and contributors.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class AutoHealRules(Model):
    """
    AutoHealRules - describes the rules which can be defined for auto-heal

    :param triggers: Triggers - Conditions that describe when to execute the
     auto-heal actions
    :type triggers: :class:`AutoHealTriggers
     <azure.mgmt.web.models.AutoHealTriggers>`
    :param actions: Actions - Actions to be executed when a rule is triggered
    :type actions: :class:`AutoHealActions
     <azure.mgmt.web.models.AutoHealActions>`
    """ 

    _attribute_map = {
        'triggers': {'key': 'triggers', 'type': 'AutoHealTriggers'},
        'actions': {'key': 'actions', 'type': 'AutoHealActions'},
    }

    def __init__(self, triggers=None, actions=None):
        self.triggers = triggers
        self.actions = actions
